Bug 34408 - check-webkit-style: Separate the filter code into a separate file
Summary: check-webkit-style: Separate the filter code into a separate file
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Chris Jerdonek
URL:
Keywords:
Depends on:
Blocks: 33684
  Show dependency treegraph
 
Reported: 2010-01-31 22:03 PST by Chris Jerdonek
Modified: 2010-02-02 07:29 PST (History)
5 users (show)

See Also:


Attachments
Proposed patch (15.92 KB, patch)
2010-02-01 18:34 PST, Chris Jerdonek
cjerdonek: commit-queue-
Details | Formatted Diff | Diff
Proposed patch (16.36 KB, patch)
2010-02-01 22:55 PST, Chris Jerdonek
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Jerdonek 2010-01-31 22:03:15 PST
This is preparatory refactoring for--

https://bugs.webkit.org/show_bug.cgi?id=33684

(In the fix for bug 33684, we will be introducing another filter-related class into this new file.)
Comment 1 Chris Jerdonek 2010-02-01 18:34:21 PST
Created attachment 47897 [details]
Proposed patch

This is just moving code.  cq- since I may need to rebase after the following goes in--

https://bugs.webkit.org/show_bug.cgi?id=34260

(I'd like to wait until that one goes in before committing this one.)
Comment 2 Chris Jerdonek 2010-02-01 22:55:20 PST
Created attachment 47907 [details]
Proposed patch

After rebasing.
Comment 3 Chris Jerdonek 2010-02-02 07:29:01 PST
Comment on attachment 47907 [details]
Proposed patch

Clearing flags on attachment: 47907

Committed r54234: <http://trac.webkit.org/changeset/54234>
Comment 4 Chris Jerdonek 2010-02-02 07:29:08 PST
All reviewed patches have been landed.  Closing bug.